package speiger.src.coreengine.utils.collections.registries.simple;

import speiger.src.coreengine.assets.AssetLocation;

public abstract class RegistryEntry<T extends RegistryEntry<T>> implements IRegistryEntry<T> {
	AssetLocation location;
	int id;
	
	@Override
	public AssetLocation getName() { return location; }
	
	@SuppressWarnings("unchecked")
	@Override
	public T setName(AssetLocation name) {
		location = name;
		return (T)this;
	}
	
	@Override
	public void setId(IRegistry<T> registry, int registryId) { this.id = registryId; }
	public int getRegistryId() { return id; }
}
